当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]关于编译较新内核的问题.
帖子发表于 : 2008-01-04 13:24 

注册: 2007-10-26 15:23
帖子: 65
送出感谢: 0 次
接收感谢: 0 次
当前系统用的是2.6.22.14
我把/boot/config-2.6.22.14-generic拷到内核代码目录下=>.config

然后menuconfig,每个项目都进去配置了一下

然后exit. save
sudo make-kpkg clean
sudo make-kpkg -initrd --initrd --append-to-version=ibm570 kernel_image kernel_headers

然后就开始出来一堆提示,似乎是没有选择过的项目,让我选择y/n/m 后面标着(NEW)

有个群里的人说,编译比当前内核新的内核时,就会这样.....

第二次, 我把原来的内核代码目录删了,重新解压了一份内核代码
然后把/boot/config-2.6.22.14-generic拷到内核代码目录下=>.config

menuconfig, 没有配置,直接exit. save
然后
sudo make-kpkg clean
sudo make-kpkg -initrd --initrd --append-to-version=ibm571 kernel_image kernel_headers

这次没什么提示,顺利的编下去了...这是为什么???

为什么这次没有配置,反正它没再让我选择那些(NEW)的项目啊?

晕了


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-02-16 22:13 
头像

注册: 2007-10-06 18:40
帖子: 4313
送出感谢: 0 次
接收感谢: 5
sudo make-kpkg --initrd --append-to-version=ibm570 kernel_image kernel_headers
那篇文章写错了 多了 一个 initrd


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译